local _, ns = ...

local L = ns.localization


L.credits = "Credits"
L.reset = "Reset"
L.install = "Installer"
L.profile = "Character-specific settings"
L.profileTooltip = "Switch between a profile that applies to all characters and one that is unique to this character."
L.resetCheck = "Remove all saved options, and reset them to their default values."
L.needReload = "|cffff2735You need to reload the UI to apply your changes.|r"
L.reloadCheck = "|cffff2735You need to reload the UI to apply your changes.\n\nWould you like to do so now?|r"


L.author = "FreeUI Continued by Solor"
L.authorSubText = "https://github.com/Solor/FreeUI"
L.haleth = "Haleth"
L.halethSubText = "For the original version of FreeUI"
L.alza = "Alza"
L.alzaSubText = "For AlzaUI, which once formed the basis for FreeUI"
L.haste = "Haste"
L.hasteSubText = "For the oUF framework, the foundation of the unit frames in this UI"
L.tukz = "Tukz"
L.tukzSubText = "For allowing the use of his code, and collaboration in UI development"
L.zork = "Zork"
L.zorkSubText = "For rActionBarStyler, rActionButtonStyler, and rBuffFrameStyler"
L.siweia = "siweia"
L.siweiaSubText = "For NDUI, which I stole a lot of codes from"
L.others = "as well as..."
L.othersSubText_1 = "Allez, AlleyKat, Caellian, p3lim, Shantalya, tekkub, Tuller, Wildbreath"
L.othersSubText_2 = "Shestak, aliluya555, Paojy, Rubgrsch"


L.font_stats_font = "Font"
L.font_stats_font_style = "Flag"
L.font_stats_font_shadow = "Shadow"



L.general = "General"
L.general_subText = "These options control most of the common settings in the UI."
L.general_subCategory_basic = "Basic"
L.general_mailButton = "Mail button"
L.general_mailButton_tooltip = "Adds a button to the mail frame to collect all mail attachments with one click."
L.general_alreadyKnown = "Already known"
L.general_alreadyKnown_tooltip = "Colorizes recipes/mounts/pets/toys that is already known."
L.general_enhancedMenu = "Target menu"
L.general_enhancedMenu_tooltip = "Adds copy name and guild invite into target menu."
L.general_helmCloak = "Helm cloak button"
L.general_helmCloak_tooltip = "Adds buttons on character frame to quickly show or hide helm and cloak."
L.general_marker = "Easy mark"
L.general_marker_tooltip = "Easy marking by alt + left click."
L.general_PVPSound = "PVP sound"
L.general_PVPSound_tooltip = "Adds DOTA like sound effect for PVP killing."
L.general_subCategory_camera = "Camera"
L.general_cameraZoomSpeed = "Zoom speed"
L.general_cameraZoomSpeed_tooltip = "Adjust camera zoom speed."
L.general_subCategory_uiscale = "UI scale"
L.general_uiScaleAuto = "Force optimal UI scale"
L.general_uiScaleAuto_tooltip = "Automatically apply the best UI scale for current resolution."
L.general_uiScale = "Customize UI scale"
L.general_autoDismount = "Auto dismount"
L.general_autoDismount_tooltip = "Automatically dismount when you attack cast or use item."
L.general_quickBuy = "Quick buy"
L.general_quickBuy_tooltip = "Buy a stack by alt + left click."



L.appearance = "Appearance"
L.appearance_subText = "You can change the appearance of various aspects of the UI here."
L.appearance_subCategory_basic = "Basic"
L.appearance_themes = "Global theme"
L.appearance_themes_tooltip = "Make blizz frames clean and pretty."
L.appearance_backdropAlpha = "Theme opacity"
L.appearance_backdropAlpha_tooltip = "Adjust theme opacity."
L.appearance_vignette = "Vignette"
L.appearance_vignette_tooltip = "Adds a shadow overlay to screen edge."
L.appearance_vignetteAlpha = "Vignette opacity"
L.appearance_vignetteAlpha_tooltip = "Adjust vignette opacity"
L.appearance_addShadowBorder = "Shadow border"
L.appearance_addShadowBorder_tooltip = "Adds smooth shadow border to most of UI elements."
L.appearance_gradient = "Gradient"
L.appearance_gradient_tooltip = "Adds gradient on some UI elements."
L.appearance_subCategory_misc = "Misc"
L.appearance_flashCursor = "Flash cursor"
L.appearance_flashCursor_tooltip = "Adds a star at the cursor, with size proportional to the cursor speed."
L.appearance_subCategory_font = "Fonts"
L.appearance_adjustFonts = "Adjust fonts"
L.appearance_adjustFonts_tooltip = "Adjust default fonts size."
L.appearance_usePixelFont = "Use pixel font"
L.appearance_usePixelFont_tooltip = "Use pixel font on some of UI elements."
L.appearance_subCategory_addons = "AddOns"
L.appearance_BigWigs = "BigWigs"
L.appearance_BigWigs_tooltip = "Customize BigWigs time bars."
L.appearance_WeakAuras = "WeakAuras"
L.appearance_WeakAuras_tooltip = "Customize WeakAuras icons."
L.appearance_QuestLogEx = "QuestLog"
L.appearance_QuestLogEx_tooltip = "Customize quest log related addons."



L.notification = "Notification"
L.notification_subText = "These options let you choose when and how the UI should show notifications."
L.notification_subCategory_banner = "Basic"
L.notification_enableBanner = "Notify banner"
L.notification_enableBanner_tooltip = "Allow notifications to be shown, a banner will appear at the top of the UI."
L.notification_playSounds = "Play sound"
L.notification_playSounds_tooltip = "Play a sound when a notification is shown."
L.notification_checkMail = "New mail"
L.notification_checkMail_tooltip = "Show a notification when you have new mail."
L.notification_checkBagsFull = "Bags full"
L.notification_checkBagsFull_tooltip = "Show a notification when your bags are full."
L.notification_autoRepair = "Auto repair"
L.notification_autoRepair_tooltip = "Show a notification when you finished automatically repair."
L.notification_autoSellJunk = "Auto sell junk"
L.notification_autoSellJunk_tooltip = "Show a notification when you finished automatically sell junks."
L.notification_subCategory_combat = "Combat"
L.notification_combatAlert = "Combat alert"
L.notification_combatAlert_tooltip = "Adds some alerts for cambat situation."
L.notification_enterCombat = "Combat status"
L.notification_enterCombat_tooltip = "Show alert for enter or leave cambat."
L.notification_interruptSound = "Interrupt"
L.notification_interruptSound_tooltip = "Plays a sound when you successfully interrupt."
L.notification_interruptAnnounce = "Interrupt announcement"
L.notification_interruptAnnounce_tooltip = "Announces when you successfully interrupt(only inside dungeons)."
L.notification_dispelSound = "Dispel"
L.notification_dispelSound_tooltip = "Plays a sound when you successfully dispel."
L.notification_dispelAnnounce = "Dispel announcement"
L.notification_dispelAnnounce_tooltip = "Announces when you successfully dispel(only inside dungeons)."
L.notification_lowHPSound = "Low health"
L.notification_lowHPSound_tooltip = "Plays a sound when your health is low."
L.notification_lowMPSound = "Low mana"
L.notification_lowMPSound_tooltip = "Plays a sound when your mana is low."
L.notification_lowHPThreshold = "Health threshold"
L.notification_lowHPThreshold_tooltip = "Health threshold."
L.notification_lowMPThreshold = "Mana threshold"
L.notification_lowMPThreshold_tooltip = "Mana threshold."



L.infobar = "Infobar"
L.infobar_subText = "The infobar is the panel at the top of the screen. \nMoving your mouse over it reveals additional functionality and information."
L.infobar_subCategory_cores = "Basic"
L.infobar_enable = "Enable infobar"
L.infobar_enable_tooltip = "Enable infobar."
L.infobar_mouseover = "Mouseover"
L.infobar_mouseover_tooltip = "Only show the blocks when moving the cursor over the infobar."
L.infobar_stats = "Time/FPS/Latency"
L.infobar_stats_tooltip = "Show time/FPS/latency informations."
L.infobar_talent = "Talent"
L.infobar_talent_tooltip = "Show spent points on talent."
L.infobar_friends = "Friends"
L.infobar_friends_tooltip = "Show friends informations."
L.infobar_gold = "Gold"
L.infobar_gold_tooltip = "Show gold and count.\nLeft click to enable auto sell junk."
L.infobar_durability = "Durability"
L.infobar_durability_tooltip = "Show gears durability.\nLeft click to enable auto repair."
L.infobar_usePixelFont = "Pixel font"
L.infobar_usePixelFont_tooltip = "Use pixel font on infobar."



L.actionbar = "Actionbar"
L.actionbar_subText = "These options are specific to the action bars and their buttons."
L.actionbar_subCategory_layout = "Basic"
L.actionbar_enable = "Enable actionbars"
L.actionbar_enable_tooltip = "Uncheck if you want to use another actionbars addon."
L.actionbar_layoutStyle = "Bars layout"
L.actionbar_layoutStyle1 = "Default (3*12)"
L.actionbar_layoutStyle2 = "Divide bar3 on side (2*18)"
L.actionbar_layoutStyle3 = "Minimalist (hide all actionbars)"
L.actionbar_subCategory_extra = "Extra"
L.actionbar_sideBar = "Side bar"
L.actionbar_sideBar_tooltip = "Show side bar."
L.actionbar_sideBarMouseover = "Mouseover."
L.actionbar_petBar = "Pet bar"
L.actionbar_petBar_tooltip = "Show pet bar"
L.actionbar_petBarMouseover = "Mouseover"
L.actionbar_stanceBar = "Stance bar"
L.actionbar_stanceBar_tooltip = "Show stance bar."
L.actionbar_stanceBarMouseover = "Mouseover"
L.actionbar_bar3 = "Bar3"
L.actionbar_bar3_tooltip = "Show bar3."
L.actionbar_bar3Mouseover = "Mouseover"
L.actionbar_subCategory_feature = "Misc"
L.actionbar_hotKey = "Show hotkeys"
L.actionbar_macroName = "Show macro names"
L.actionbar_count = "Show item count"
L.actionbar_classColor = "Colored by class"
L.actionbar_subCategory_bind = "Bind"
L.actionbar_hoverBind = "Easy binding"
L.actionbar_hoverBind_tooltip = "Type /hb then bind buttons on mouseover."



L.cooldown = "Cooldown"
L.cooldown_subText = "These options control cooldowns."
L.cooldown_subCategory_basic = "Basic"
L.cooldown_CDEnhancement = "Enable cooldown"
L.cooldown_CDEnhancement_tooltip = "Show cooldown count."
L.cooldown_CDFontSize = "Font size"
L.cooldown_CDPulse = "Cooldown pulse"
L.cooldown_CDPulse_tooltip = "Flashes the icon of the ability or item in the middle of screen whenever it finish cooldown."



L.inventory = "Inventory"
L.inventory_subText = "Choose and customize a bag style of your liking."
L.inventory_subCategory_basic = "Basic"
L.inventory_enable = "Enable inventory"
L.inventory_enable_tooltip = "Uncheck if you want to use another inventory addon."
L.inventory_newitemFlash = "New item flash"
L.inventory_newitemFlash_tooltip = "New item flash."
L.inventory_reverseSort = "Reverse sort"
L.inventory_reverseSort_tooltip = "Sort items to bag bottom."
L.inventory_combineFreeSlots = "Combine free slots"
L.inventory_combineFreeSlots_tooltip = "Combine free slots."
L.inventory_subCategory_category = "Category"
L.inventory_useCategory = "Enable category"
L.inventory_useCategory_tooltip = "Uncheck if you perfer ONE BIG BAG."
L.inventory_questItemFilter = "Quest"
L.inventory_questItemFilter_tooltip = "Quest related items."
L.inventory_tradeGoodsFilter = "Trade goods"
L.inventory_tradeGoodsFilter_tooltip = "Trade related items."
L.inventory_classRelatedFilter = "Class related"
L.inventory_classRelatedFilter_tooltip = "Class related items.\nMage's runes, rogue's powders and poisons, etc."
L.inventory_subCategory_size = "Size"
L.inventory_itemSlotSize = 'Slot size'
L.inventory_bagColumns = 'bag column'
L.inventory_bankColumns = 'bank column'



L.loot = "Loot"
L.loot_subText = "These options control most of the aura related settings."
L.loot_subCategory_basic = "Basic"
L.loot_fasterLoot = "Faster loot"
L.loot_fasterLoot_tooltip = "Instantly loot, no more waiting for the loot window to appear."


L.aura = "Aura"
L.aura_subText = "These options control aura related settings."
L.aura_subCategory_basic = "Basic"
L.aura_pixelFont = "Pixel font"
L.aura_pixelFont_tooltip = "Use pixel font on buff frame."
L.aura_reminder = "Buff reminder"
L.aura_reminder_tooltip = "Buffs reminder(stamina/intellect)."



L.quest = "Quest"
L.quest_subText = "These options control quest tracker and notifier."
L.quest_subCategory_basic = "Basic"
L.quest_logEnhancement = "Quest log"
L.quest_logEnhancement_tooltip = "Doubles quest log panel and adds quest levle."
L.quest_trackerEnhancement = "Quest tracker"
L.quest_trackerEnhancement_tooltip = "Enhances quest tracker."
L.quest_quickQuest = "Auto quest"
L.quest_quickQuest_tooltip = "Automatically accept and deliver quests."
L.quest_notifier = "Notifier"
L.quest_notifier_tooltip = "Quest notifier."
L.quest_progressNotify = "Announcement"
L.quest_progressNotify_tooltip = "Announce quest progress when you in a group."
L.quest_completeRing = "Complete ring"
L.quest_completeRing_tooltip = "Plays a sound when you have finished a quest."
L.quest_rewardHightlight = "Reward hightlight"
L.quest_rewardHightlight_tooltip = "Highlights the quest reward with highest vendor price."



L.chat = "Chat"
L.chat_subText = "Adjust the appearance and functionality of the game chat."
L.chat_subCategory_basic = "Basic"
L.chat_enable = "Enable chat"
L.chat_enable_tooltip = "Uncheck if you want to use another chat addon."
L.chat_lockPosition = "Lock position"
L.chat_lockPosition_tooltip = "Uncheck if you want to move chat frame position."
L.chat_fontOutline = "Font outline"
L.chat_fontOutline_tooltip = "Add outline for chat fonts."
L.chat_whisperAlert = "Whisper alert"
L.chat_whisperAlert_tooltip = "Play a sound when you receive whisper messages."
L.chat_timeStamp = "Time stamp"
L.chat_timeStamp_tooltip = "Add customized time stamp."
L.chat_timeStampColor = "Time stamp color"
L.chat_timeStampColor_tooltip = ""
L.chat_copyButton = "Copy button"
L.chat_copyButton_tooltip = "Add a copy button.\nLeft click to hide chat frame, right click to copy chat lines."
L.chat_fading = "Lines fading"
L.chat_fading_tooltip = "Fade chat lines."
L.chat_filters = "Chat filters"
L.chat_filters_tooltip = "Filter spam and unnecessary messages."
L.chat_hideVoiceButtons = "Hide voice button"
L.chat_hideVoiceButtons_tooltip = "Hide voice button."



L.map = "Map"
L.map_subText = "Adjust the appearance and functionality of the game maps."
L.map_subCategory_worldMap = "Worldmap"
L.map_worldMapCoords = "Show coords"
L.map_worldMapCoords_tooltip = "Show player and cursor coords on worldmap."
L.map_worldMapReveal = "Map reveal"
L.map_worldMapReveal_tooltip = "Reveals every portion of every zone of the worldmap."
L.map_subCategory_miniMap = "Minimap"
L.map_whoPings = "Who pings"
L.map_whoPings_tooltip = "Show who pings."
L.map_miniMapSize = "Minimap size"
L.map_miniMapSize_tooltip = "Adjust minimap size."
L.map_microMenu = "Micro menu"
L.map_microMenu_tooltip = "Micro menu by right click on minimap."
L.map_expRepBar = "Exp rep bar"
L.map_expRepBar_tooltip = "Add a progress bar on minimap to track your exp and rep."



L.tooltip = "Tooltip"
L.tooltip_subText = "Adjust the appearance and functionality of the game tooltip."
L.tooltip_subCategory_basic = "Basic"
L.tooltip_enable = "Enable tooltip"
L.tooltip_enable_tooltip = "Uncheck if you want to use another tooltip addon."
L.tooltip_cursor = "Follow cursor"
L.tooltip_cursor_tooltip = "Keeps the tooltip near cursor."
L.tooltip_hideTitle = "Hide title"
L.tooltip_hideTitle_tooltip = "Hide title."
L.tooltip_hideRealm = "Hide realm"
L.tooltip_hideRealm_tooltip = "Hide realm."
L.tooltip_hideRank = "Hide guild rank"
L.tooltip_hideRank_tooltip = "Hide guild rank"
L.tooltip_combatHide = "Hide tooltip in combat"
L.tooltip_combatHide_tooltip = "Hide tooltip in combat."
L.tooltip_borderColor = "Border color"
L.tooltip_borderColor_tooltip = "Border colored by item quality."
L.tooltip_tipIcon = "Show icon"
L.tooltip_tipIcon_tooltip = "Show item icon on tooltip."
L.tooltip_linkHover = "Hover link"
L.tooltip_linkHover_tooltip = "Show tooltip when mouseover item link on chat frame."
L.tooltip_extraInfo = "Extra info"
L.tooltip_extraInfo_tooltip = "Show extra informations by hold alt key(item count/price/id)."
L.tooltip_targetBy = "Targeted info"
L.tooltip_targetBy_tooltip = "Show targeted infomations."






L.unitframe = "Unitframe"
L.unitframe_subText = "These options control most of the options for the unitframes."
L.unitframe_enable = "enable unitframes"
L.unitframe_enable_tooltip = "Uncheck if you want to use another unitframe addon."

L.unitframe_subCategory_basic = "Basic"
L.unitframe_transMode = "Clear style"
L.unitframe_transMode_tooltip = "Uncheck if you perfer solid color style."
L.unitframe_colourSmooth = "smooth color"
L.unitframe_colourSmooth_tooltip = "Health colored by current health percentage."
L.unitframe_portrait = "Portrait"
L.unitframe_portrait_tooltip = "Add portrait on unitframes."
L.unitframe_healer = "Healer layout"
L.unitframe_healer_tooltip = "Symmetrical layout, more friendly for healers."
L.unitframe_frameVisibility = "Minimalist mode"
L.unitframe_frameVisibility_tooltip = "Only show unitframes when player enter combat or have a target."

L.unitframe_subCategory_feature = "Extra"
L.unitframe_rangeCheck = "Range check"
L.unitframe_rangeCheck_tooltip = "Changes the opacity of a unit frame based on whether the frame's unit is in the player's range."
L.unitframe_dispellable = "Dispelable"
L.unitframe_dispellable_tooltip = "Highlighting debuffs that are dispellable by the player."
L.unitframe_comboPoints = "Combo points"
L.unitframe_comboPoints_tooltip = "Shows combo points for rogue and druid."
L.unitframe_energyTicker = "Energy ticker"
L.unitframe_energyTicker_tooltip = "Shows energy ticker for rogue and druid."
L.unitframe_onlyShowPlayer = "Debuff filter"
L.unitframe_onlyShowPlayer_tooltip = "Shows only debuffs created by player."
L.unitframe_clickCast = "Click cast"
L.unitframe_clickCast_tooltip = "Enable click cast."



L.unitframe_subCategory_castbar = "Castbar"
L.unitframe_enableCastbar = "Enable castbar"
L.unitframe_enableCastbar_tooltip = "Uncheck if you want to use another castbar addon."
L.unitframe_castbar_separatePlayer = "Separate castbar"
L.unitframe_castbar_separatePlayer_tooltip = "Separate palyer castbar."


L.unitframe_subCategory_extra = "Extra"
L.unitframe_enableGroup = "Enable group frames"
L.unitframe_enableGroup_tooltip = "Uncheck if you want to use another group unitframes addon."
L.unitframe_groupNames = "Show names"
L.unitframe_groupNames_tooltip = "Show names on group unitframes."
L.unitframe_groupColourSmooth = "Smooth color"
L.unitframe_groupColourSmooth_tooltip = "Health colored by current health percentage."
L.unitframe_groupFilter = "Groups to show"







L.classmod = "Class specific"
L.classmodSubText = "These options allow you to toggle the class-specific modules in the UI."

local classes = UnitSex("player") == 2 and LOCALIZED_CLASS_NAMES_MALE or LOCALIZED_CLASS_NAMES_FEMALE

for class, localized in pairs(classes) do
	L["classmod"..strlower(class)] = localized
end

L.classmodhavocFury = "|cffffffff Demon Hunter havoc fury"
L.classmodhavocFuryTooltip = "Change fury colour based on current value."


